package de.ivu.elect.business.wahlvorschlagsperson.control;

import de.ivu.elect.business.exchange.control.AbstractWahlExchangeContext;
import de.ivu.elect.business.gebietsbaum.entity.Gebiet;
import de.ivu.elect.business.wahl.entity.Wahl;

import java.util.ArrayList;
import java.util.List;

public class WahlvorschlagsPersonExportContext extends AbstractWahlExchangeContext {

  private final List<Gebiet> berechtigeGebiete = new ArrayList<>();
  private Gebiet ausgewaehltesGebiet;
  private boolean isKreiswahlleiter = false;
  private boolean untergeordnetenGebieteExportieren = false;

  public WahlvorschlagsPersonExportContext(Wahl wahl) {
    super(wahl);
  }


  public List<Gebiet> getBerechtigeGebiete() {
    return berechtigeGebiete;
  }

  public void setAusgewaehltesGebiet(Gebiet ausgewaehltesGebiet) {
    this.ausgewaehltesGebiet = ausgewaehltesGebiet;
  }

  public Gebiet getAusgewaehltesGebiet() {
    return ausgewaehltesGebiet;
  }

  public void setKreiswahlleiter(boolean isKwl) {
    isKreiswahlleiter = isKwl;
  }

  public boolean isKreiswahlleiter() {
    return isKreiswahlleiter;
  }

  public void setUntergeordneteGebieteExportieren(boolean untergeordnetenGebieteExportieren) {
    this.untergeordnetenGebieteExportieren = untergeordnetenGebieteExportieren;
  }

  public boolean isUntergeordneteGebieteExportieren() {
    return untergeordnetenGebieteExportieren;
  }
}
